void GiveUsage();
void ProcessOpt(struct options *, char *);
void CleanUp(struct options *, int);
void AnalyzeData(struct options *);
void GuidoCheck(struct options *);
void ConvertRaw(struct options *);
void WriteIFFStuff(struct options *);
void ConvertVOC(struct options *);
void ConvertWAV(struct options *);
void ConvertMAC(struct options *);
void ConvertAU(struct options *);
void ConvertIFF(struct options *);
void maketable(signed char *, int);
int  ulaw2linear(unsigned char);
int  getscale(struct options *);

#define MAX(a,b) (((a) > (b)) ? (a) : (b))

#define DEFAULT_SIZE 51200
#define DEFAULT_RATE 11395

#define RAW     'r'
#define AU      'u'
#define IFF     'i'
#define VOC     'v'
#define UNKNOWN 'k'

struct options
{
    ULONG BuffSize;
    BOOL FlipSign;
    ULONG Bits;
    BOOL KillChunk;
    UWORD SampRate;
    BOOL IFFOut;
    char InType;
    BOOL MuLaw;
    BOOL SampChk;
    ULONG Size;
    UBYTE *Data;
    char inname[33];
    char outname[33];
};

typedef struct
{
    ULONG magic,
          hrd_size,
          data_size,
          encoding,
          sample_rate,
          channels;
} AUHeader;

char Author[] = {"SoundZAP V2.3  "};

char Annotation[] = {"SoundZAP by mrc113@psuvm.psu.edu   "};

char *ErrorMessages[] = {

    "How the hell did you get this message???\n",
    "No filenames specified!\n",
    "No buffer size specified!\n",
    "No sample rate specified!\n",
    "Invalid switch!\n",
    "Couldn't allocate memory!\n",
    "Input file not found!\n",
    "Probably text, not sound.\n",
    "Error opening output file!\n",
    "Unsupported compression format.\n",
    "Write error!\n",
    "Error in IFF file!\n"
};

struct FileHandle *in, *out;
